<!doctype html>

<!--

ISC License

Copyright (c) 2020, The Mana World

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

-->

<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Security-Policy" content="default-src 'none'; upgrade-insecure-requests; block-all-mixed-content; disown-opener; sandbox allow-popups; base-uri 'none'">
<title>TMW Vault - Javascript license</title>
</head>
<body>

<h1>TMW Vault</h1>
<h2>All parts of this project are distributed under the <a href="LICENSE">ISC License</a> or equivalent.</h2>
Source code available at: <a href="https://git.themanaworld.org/vault/web" target="_blank" rel="noopener noreferrer">https://git.themanaworld.org/vault/web</a>

<!-- Yes, the source of this page is ugly as fuck, but it's on purpose
     to facilitate reading by humans and also to avoid using any js or css -->

<br>
<br>
<br>
<br>

<h3>Javascript framework</h3>
<p>We use <a href="https://github.com/vuejs/vue" target="_blank" rel="noopener noreferrer">Vue.js</a>, provided under the <a href="https://github.com/vuejs/vue/blob/dev/LICENSE" target="_blank" rel="noopener noreferrer">MIT License</a>.</p>

<!--
	TODO: automatically generate a table here with the js file paths to comply
	      with https://www.gnu.org/licenses/javascript-labels.en.html
-->

<br>
<br>

<h3>CSS framework</h3>
<p>We use <a href="https://github.com/fortrabbit/teutonic-css" target="_blank" rel="noopener noreferrer">Teutonic CSS</a>, provided by fortrabbit under the <a href="https://github.com/fortrabbit/teutonic-css/blob/master/LICENSE" target="_blank" rel="noopener noreferrer">MIT License</a>.</p>

<br>
<br>

<h3>Icons</h3>
<p>We use <a href="https://github.com/refactoringui/heroicons" target="_blank" rel="noopener noreferrer">heroicons</a>, provided by Refactoring UI Inc under the <a href="https://github.com/refactoringui/heroicons/blob/master/LICENSE" target="_blank" rel="noopener noreferrer">MIT License</a>.</p>

<br>
<br>

<h3 id="security">Security</h3>
<p>This website has a strong <a href="https://en.wikipedia.org/wiki/Content_Security_Policy" target="_blank" rel="noopener noreferrer">Content Security Policy</a>.</p>
<p>All subresources are self-hosted. This website does not use CDN services.</p>
<p>All requests are encrypted with <a href="https://en.wikipedia.org/wiki/Transport_Layer_Security" target="_blank" rel="noopener noreferrer">TLS</a>. The certificate is issued by <a href="https://letsencrypt.org" target="_blank" rel="noopener noreferrer">Let's Encrypt</a>.</p>
<p>This website uses <a href="https://en.wikipedia.org/wiki/HTTP_Strict_Transport_Security" target="_blank" rel="noopener noreferrer">HTTP Strict Transport Security (HSTS)</a> with long duration.</p>

<br>
<br>

<h3 id="privacy">Privacy</h3>
<p>This website, by itself, <b>does not</b> collect any data about its users.</p>
<p>This website <b>does not</b> contain ads or any user behaviour tracking script (<i>analytics</i>).</p>
<p>The hosting provider <b>may</b> log <i>non-personally-identifying</i> information. See the <a href="https://render.com/privacy" target="_blank" rel="noopener noreferrer">Render Privacy Policy</a>.</p>
<p>Using this website communicates with <a href="https://github.com/themanaworld/api" target="_blank" rel="noopener noreferrer">our backend API</a>.
This API has access to your game account, forums account, and wiki account data.</p>
<p>For more details please read our <a href="https://wiki.themanaworld.org/index.php/The_Mana_World:Privacy_policy" target="_blank" rel="noopener noreferrer">Privacy Policy</a>.</p>

<br>
<br>

<h3 id="cookies">Cookies</h3>
<p>This website does not make use of browser cookies.</p>
<p>This website maintains app state using LocalStorage. This data is used for caching and is necessary to provide basic app functionality.</p>
<p>Warning: blocking the use of LocalStorage in your browswer will prevent this website from working properly.</p>

<br>
<br>


<h3 id="3rdparty">Third-parties</h3>
<p>This website is hosted on <a href="https://render.com" target="_blank" rel="noopener noreferrer">Render</a>.</p>
<p>This website <b>is not</b> proxied through Cloudflare or any other CDN besides Render.</p>
<p>This domain name was registered with <a href="https://tucowsdomains.com" target="_blank" rel="noopener noreferrer">Tucows</a> through the intermediary of <a href="https://spi-inc.org/" target="_blank" rel="noopener noreferrer">Software in the Public Interest</a>.</p>
<p>The DNS zone of this domain is managed by <a href="https://spi-inc.org/" target="_blank" rel="noopener noreferrer">Software in the Public Interest</a>.</p>
<p><a href="https://spi-inc.org/" target="_blank" rel="noopener noreferrer">Software in the Public Interest</a> is our fiscal sponsor.</p>
<p>Our game servers and most of our infrastructure is hosted on <a href="https://azure.microsoft.com" target="_blank" rel="noopener noreferrer">Microsoft Azure</a> and is sponsored by the <a href="https://www.microsoft.com/en-us/nonprofits" target="_blank" rel="noopener noreferrer">Microsoft for Nonprofits</a> program.</p>
<p>Email hosting and mass-mailing for this domain is provided by <a href="https://connect.yandex.com" target="_blank" rel="noopener noreferrer">Yandex Connect</a></p>

<br>
<br>
<br>
</body>
</html>
